Subject: Ticket Assigned - I have one part 5 times cansel and refund Money nover not coming my card.and listen you tell me cansel part for the out of stock.so many times I'm check your stock after 2 weeks and see the part and change only price or not discount. Whay tell me round .e
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2021 03:41:17 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I have one part 5 times cansel and refund Money nover not coming my card.and listen you tell me cansel part for the out of stock.so many times I'm check your stock after 2 weeks and see the part and change only price or not discount. Whay tell me round .e  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2401909